## giws 1.0.2

=== examples/example1/Makefile ===
SHELL = /bin/sh

# verify that JAVA_HOME is set to something (should be the bare minimum)
ifndef JAVA_HOME
    $(error ERROR: Variable JAVA_HOME is not set!)
endif


#
# C++ compiler options
# 
CC = g++
CFLAGS = -g
INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/i386/client/

#
# Java compiler option
#
JCC = $(JAVA_HOME)/bin/javac
JFLAGS =

#
# GIWS options
#
GIWS = ../../giws
GFLAGS = -p

#
# GIWS PROJECT INFORMATIONS 
#
PACKAGE_NAME = example
OBJECT_NAME  = MyObject
BINARY       = myExample

GIWS_CPP_FILE  = main.cpp
GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml
GIWS_OUT_FILES = $(addprefix $(PACKAGE_NAME),.cpp .hxx)


# in case of --throws-exception-on-error, add 2 files to the list
# of the ones generated by GIWS.
ifneq (,$(findstring --throws-exception-on-error,$(GFLAGS)))
	GIWS_OUT_FILES += GiwsException.cpp GiwsException.hxx
endif


#########################################################################
#########################################################################
#########################################################################

# look for sources in current folder and in package name
VPATH = .:$(PACKAGE_NAME)


all: $(OBJECT_NAME).class $(BINARY)


# build java class file
$(OBJECT_NAME).class: $(OBJECT_NAME).java
	$(JCC) $(JFLAGS) $<


# build output binary
$(BINARY): $(GIWS_OUT_FILES)
	$(CC) $(GIWS_CPP_FILE) $(GIWS_OUT_FILES) $(CFLAGS) $(LIBS) $(INCLUDES) -o $(BINARY)
	@if test $(MAKELEVEL) -eq 0; then \
		echo "==========================================================================="; \
		echo "Dont forget to set library path before running the program:"; \
		echo "# export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(JAVA_HOME)/jre/lib/i386:$(JAVA_HOME)/jre/lib/i386/client/"; \
		echo "==========================================================================="; \
	fi


# run giws to generate cpp code
$(GIWS_OUT_FILES):
	$(GIWS) -f $(GIWS_DESC_FILE) $(GFLAGS)


# cleanup giws generated files (cpp/hxx, bin) and .class
clean:
	rm -f $(GIWS_OUT_FILES) $(PACKAGE_NAME)/$(OBJECT_NAME).class $(BINARY)

=== examples/example2/Makefile ===
SHELL = /bin/sh

# verify that JAVA_HOME is set to something (should be the bare minimum)
ifndef JAVA_HOME
    $(error ERROR: Variable JAVA_HOME is not set!)
endif


#
# C++ compiler options
# 
CC = g++
CFLAGS = -g
INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/i386/client/

#
# Java compiler option
#
JCC = $(JAVA_HOME)/bin/javac
JFLAGS =

#
# GIWS options
#
GIWS = ../../giws
GFLAGS = -p

#
# GIWS PROJECT INFORMATIONS 
#
PACKAGE_NAME = example2
OBJECT_NAME  = MyObjectWithArray
BINARY       = myExample2

GIWS_CPP_FILE  = main.cpp
GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml
GIWS_OUT_FILES = $(addprefix $(PACKAGE_NAME),.cpp .hxx)


# in case of --throws-exception-on-error, add 2 files to the list
# of the ones generated by GIWS.
ifneq (,$(findstring --throws-exception-on-error,$(GFLAGS)))
	GIWS_OUT_FILES += GiwsException.cpp GiwsException.hxx
endif


#########################################################################
#########################################################################
#########################################################################

# look for sources in current folder and in package name
VPATH = .:$(PACKAGE_NAME)


all: $(OBJECT_NAME).class $(BINARY)


# build java class file
$(OBJECT_NAME).class: $(OBJECT_NAME).java
	$(JCC) $(JFLAGS) $<


# build output binary
$(BINARY): $(GIWS_OUT_FILES)
	$(CC) $(GIWS_CPP_FILE) $(GIWS_OUT_FILES) $(CFLAGS) $(LIBS) $(INCLUDES) -o $(BINARY)
	@if test $(MAKELEVEL) -eq 0; then \
		echo "==========================================================================="; \
		echo "Dont forget to set library path before running the program:"; \
		echo "# export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(JAVA_HOME)/jre/lib/i386:$(JAVA_HOME)/jre/lib/i386/client/"; \
		echo "==========================================================================="; \
	fi


# run giws to generate cpp code
$(GIWS_OUT_FILES):
	$(GIWS) -f $(GIWS_DESC_FILE) $(GFLAGS)


# cleanup giws generated files (cpp/hxx, bin) and .class
clean:
	rm -f $(GIWS_OUT_FILES) $(PACKAGE_NAME)/$(OBJECT_NAME).class $(BINARY)

=== examples/example3/Makefile ===
SHELL = /bin/sh

# verify that JAVA_HOME is set to something (should be the bare minimum)
ifndef JAVA_HOME
    $(error ERROR: Variable JAVA_HOME is not set!)
endif


#
# C++ compiler options
# 
CC = g++
CFLAGS = -g
INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/i386/client/

#
# Java compiler option
#
JCC = $(JAVA_HOME)/bin/javac
JFLAGS =

#
# GIWS options
#
GIWS = ../../giws
GFLAGS = -p --throws-exception-on-error

#
# GIWS PROJECT INFORMATIONS 
#
PACKAGE_NAME = example3
OBJECT_NAME  = MyObjectWhichReturnsExceptions
BINARY       = myExample3

GIWS_CPP_FILE  = main.cpp
GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml
GIWS_OUT_FILES = $(addprefix $(PACKAGE_NAME),.cpp .hxx)


# in case of --throws-exception-on-error, add 2 files to the list
# of the ones generated by GIWS.
ifneq (,$(findstring --throws-exception-on-error,$(GFLAGS)))
	GIWS_OUT_FILES += GiwsException.cpp GiwsException.hxx
endif


#########################################################################
#########################################################################
#########################################################################

# look for sources in current folder and in package name
VPATH = .:$(PACKAGE_NAME)


all: $(OBJECT_NAME).class $(BINARY)


# build java class file
$(OBJECT_NAME).class: $(OBJECT_NAME).java
	$(JCC) $(JFLAGS) $<


# build output binary
$(BINARY): $(GIWS_OUT_FILES)
	$(CC) $(GIWS_CPP_FILE) $(GIWS_OUT_FILES) $(CFLAGS) $(LIBS) $(INCLUDES) -o $(BINARY)
	@if test $(MAKELEVEL) -eq 0; then \
		echo "==========================================================================="; \
		echo "Dont forget to set library path before running the program:"; \
		echo "# export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(JAVA_HOME)/jre/lib/i386:$(JAVA_HOME)/jre/lib/i386/client/"; \
		echo "==========================================================================="; \
	fi


# run giws to generate cpp code
$(GIWS_OUT_FILES):
	$(GIWS) -f $(GIWS_DESC_FILE) $(GFLAGS)


# cleanup giws generated files (cpp/hxx, bin) and .class
clean:
	rm -f $(GIWS_OUT_FILES) $(PACKAGE_NAME)/$(OBJECT_NAME).class $(BINARY)

## giws 1.0.5

=== examples/Makefile ===
# Build all examples at once.
# You can also build them one by one from here:
# % make EX=example2
#
# But you can also just enter a directory
# read the README and type "make"

SHELL = /bin/sh

# list of buildable examples
EX = basic_example example1 example2 example3


# verify that JAVA_HOME is set to something (should be the bare minimum)
ifndef JAVA_HOME
    $(error ERROR: Variable JAVA_HOME is not set!)
endif


all:	build
clean:	$(patsubst %,%.clean,$(EX))

# run build and print the help message at the end
build: $(patsubst %,%.build,$(EX))
	@echo ""
	@echo "==========================================================================="
	@echo "Dont forget to set library path before running the example:"
	@echo "# export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(JAVA_HOME)/jre/lib/i386:$(JAVA_HOME)/jre/lib/i386/client/"
	@echo "==========================================================================="


# build selected examples
%.build:
	$(MAKE) -C $(patsubst %.build,%,$@)


# clean selected examples
%.clean:
	$(MAKE) -C $(patsubst %.clean,%,$@) clean

=== examples/basic_example/Makefile ===
SHELL = /bin/sh

# verify that JAVA_HOME is set to something (should be the bare minimum)
ifndef JAVA_HOME
    $(error ERROR: Variable JAVA_HOME is not set!)
endif


#
# C++ compiler options
# 
CC = g++
CFLAGS = -g
INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/i386/client/

#
# Java compiler option
#
JCC = $(JAVA_HOME)/bin/javac
JFLAGS =

#
# GIWS options
#
GIWS = ../../giws
GFLAGS = -p

#
# GIWS PROJECT INFORMATIONS 
#
PACKAGE_NAME = basic_example
OBJECT_NAME  = MyComplexClass
BINARY       = myExample

GIWS_CPP_FILE  = main.cpp
GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml
GIWS_OUT_FILES = $(addprefix $(PACKAGE_NAME),.cpp .hxx)


# in case of --throws-exception-on-error, add 2 files to the list
# of the ones generated by GIWS.
ifneq (,$(findstring --throws-exception-on-error,$(GFLAGS)))
	GIWS_OUT_FILES += GiwsException.cpp GiwsException.hxx
endif


#########################################################################
#########################################################################
#########################################################################

# look for sources in current folder and in package name
VPATH = .:$(PACKAGE_NAME)


all: $(OBJECT_NAME).class $(BINARY)


# build java class file
$(OBJECT_NAME).class: $(OBJECT_NAME).java
	$(JCC) $(JFLAGS) $<


# build output binary
$(BINARY): $(GIWS_OUT_FILES)
	$(CC) $(GIWS_CPP_FILE) $(GIWS_OUT_FILES) $(CFLAGS) $(LIBS) $(INCLUDES) -o $(BINARY)
	@if test $(MAKELEVEL) -eq 0; then \
		echo "==========================================================================="; \
		echo "Dont forget to set library path before running the program:"; \
		echo "# export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(JAVA_HOME)/jre/lib/i386:$(JAVA_HOME)/jre/lib/i386/client/"; \
		echo "==========================================================================="; \
	fi	


# run giws to generate cpp code
$(GIWS_OUT_FILES):
	$(GIWS) -f $(GIWS_DESC_FILE) $(GFLAGS)


# cleanup giws generated files (cpp/hxx, bin) and .class
clean:
	rm -f $(GIWS_OUT_FILES) $(PACKAGE_NAME)/$(OBJECT_NAME).class $(BINARY)

## giws 1.1.1

=== examples/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 SHELL = /bin/sh
 
 # list of buildable examples
-EX = basic_example example1 example2 example3
+EX = basic_example example1 example2 example3 example4
 
 
 # verify that JAVA_HOME is set to something (should be the bare minimum)

## giws 1.2.0

=== examples/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 SHELL = /bin/sh
 
 # list of buildable examples
-EX = basic_example example1 example2 example3 example4
+EX = basic_example example1 example2 example3 example4 inherit
 
 
 # verify that JAVA_HOME is set to something (should be the bare minimum)

=== examples/example2/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 # GIWS options
 #
 GIWS = ../../giws
-GFLAGS = -p
+GFLAGS = -p --disable-return-size-array
 
 #
 # GIWS PROJECT INFORMATIONS

=== examples/example4/Makefile ===
SHELL = /bin/sh

# verify that JAVA_HOME is set to something (should be the bare minimum)
ifndef JAVA_HOME
    $(error ERROR: Variable JAVA_HOME is not set!)
endif


#
# C++ compiler options
# 
CC = g++
CFLAGS = -g
INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/i386/client/

#
# Java compiler option
#
JCC = $(JAVA_HOME)/bin/javac
JFLAGS =

#
# GIWS options
#
GIWS = ../../giws
GFLAGS = -p

#
# GIWS PROJECT INFORMATIONS 
#
PACKAGE_NAME = example4
OBJECT_NAME  = MyObjectWithArray
BINARY       = myExample4

GIWS_CPP_FILE  = main.cpp
GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml
GIWS_OUT_FILES = $(addprefix $(PACKAGE_NAME),.cpp .hxx)


# in case of --throws-exception-on-error, add 2 files to the list
# of the ones generated by GIWS.
ifneq (,$(findstring --throws-exception-on-error,$(GFLAGS)))
	GIWS_OUT_FILES += GiwsException.cpp GiwsException.hxx
endif


#########################################################################
#########################################################################
#########################################################################

# look for sources in current folder and in package name
VPATH = .:$(PACKAGE_NAME)


all: $(OBJECT_NAME).class $(BINARY)


# build java class file
$(OBJECT_NAME).class: $(OBJECT_NAME).java
	$(JCC) $(JFLAGS) $<


# build output binary
$(BINARY): $(GIWS_OUT_FILES)
	$(CC) $(GIWS_CPP_FILE) $(GIWS_OUT_FILES) $(CFLAGS) $(LIBS) $(INCLUDES) -o $(BINARY)
	@if test $(MAKELEVEL) -eq 0; then \
		echo "==========================================================================="; \
		echo "Dont forget to set library path before running the program:"; \
		echo "# export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(JAVA_HOME)/jre/lib/i386:$(JAVA_HOME)/jre/lib/i386/client/"; \
		echo "==========================================================================="; \
	fi


# run giws to generate cpp code
$(GIWS_OUT_FILES):
	$(GIWS) -f $(GIWS_DESC_FILE) $(GFLAGS)


# cleanup giws generated files (cpp/hxx, bin) and .class
clean:
	rm -f $(GIWS_OUT_FILES) $(PACKAGE_NAME)/$(OBJECT_NAME).class $(BINARY)

=== examples/inherit/Makefile ===
SHELL = /bin/sh

# verify that JAVA_HOME is set to something (should be the bare minimum)
ifndef JAVA_HOME
    $(error ERROR: Variable JAVA_HOME is not set!)
endif


#
# C++ compiler options
# 
CC = g++
CFLAGS = -g
INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/i386/client/

#
# Java compiler option
#
JCC = $(JAVA_HOME)/bin/javac
JFLAGS =

#
# GIWS options
#
GIWS = ../../giws
GFLAGS = -p

#
# GIWS PROJECT INFORMATIONS 
#
PACKAGE_NAME = inherit
OBJECT_NAME  = inherit
BINARY       = main

GIWS_CPP_FILE  = main.cpp
GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml
GIWS_OUT_FILES = $(addprefix $(PACKAGE_NAME),.cpp .hxx)


# in case of --throws-exception-on-error, add 2 files to the list
# of the ones generated by GIWS.
ifneq (,$(findstring --throws-exception-on-error,$(GFLAGS)))
	GIWS_OUT_FILES += GiwsException.cpp GiwsException.hxx
endif


#########################################################################
#########################################################################
#########################################################################

# look for sources in current folder and in package name
VPATH = .:$(PACKAGE_NAME)


all: $(OBJECT_NAME).class $(BINARY)


# build java class file
$(OBJECT_NAME).class: 
	$(JCC) $(JFLAGS) $(PACKAGE_NAME)/*.java

# build output binary
$(BINARY): $(GIWS_OUT_FILES)
	$(CC) $(GIWS_CPP_FILE) $(GIWS_OUT_FILES) $(CFLAGS) $(LIBS) $(INCLUDES) -o $(BINARY)
	@if test $(MAKELEVEL) -eq 0; then \
		echo "==========================================================================="; \
		echo "Dont forget to set library path before running the program:"; \
		echo "# export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(JAVA_HOME)/jre/lib/i386:$(JAVA_HOME)/jre/lib/i386/client/"; \
		echo "==========================================================================="; \
	fi


# run giws to generate cpp code
$(GIWS_OUT_FILES):
	$(GIWS) -f $(GIWS_DESC_FILE) $(GFLAGS)


# cleanup giws generated files (cpp/hxx, bin) and .class
clean:
	rm -f $(GIWS_OUT_FILES) $(PACKAGE_NAME)/*.class $(BINARY)

## giws 1.2.4

=== examples/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 SHELL = /bin/sh
 
 # list of buildable examples
-EX = basic_example example1 example2 example3 example4 inherit
+EX = basic_example example1 example2 example3 example4 example5 inherit
 
 
 # verify that JAVA_HOME is set to something (should be the bare minimum)
@@ -26,6 +26,8 @@
 	@echo "==========================================================================="
 	@echo "Dont forget to set library path before running the example:"
 	@echo "# export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(JAVA_HOME)/jre/lib/i386:$(JAVA_HOME)/jre/lib/i386/client/"
+	@echo "or"
+	@echo "# export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(JAVA_HOME)/jre/lib/amd64:$(JAVA_HOME)/jre/lib/amd64/server/"
 	@echo "==========================================================================="

=== examples/example2/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 CC = g++
 CFLAGS = -g
 INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
-LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/i386/client/
+LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/amd64 -L$(JAVA_HOME)/jre/lib/i386/client/ -L$(JAVA_HOME)/jre/lib/amd64/server/
 
 #
 # Java compiler option

=== examples/example3/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 CC = g++
 CFLAGS = -g
 INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
-LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/i386/client/
+LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/amd64 -L$(JAVA_HOME)/jre/lib/i386/client/ -L$(JAVA_HOME)/jre/lib/amd64/server/
 
 #
 # Java compiler option

=== examples/example4/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 CC = g++
 CFLAGS = -g
 INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
-LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/i386/client/
+LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/amd64 -L$(JAVA_HOME)/jre/lib/i386/client/ -L$(JAVA_HOME)/jre/lib/amd64/server/
 
 #
 # Java compiler option

=== examples/example5/Makefile ===
SHELL = /bin/sh

# verify that JAVA_HOME is set to something (should be the bare minimum)
ifndef JAVA_HOME
    $(error ERROR: Variable JAVA_HOME is not set!)
endif


#
# C++ compiler options
# 
CC = g++
CFLAGS = -g
INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/amd64 -L$(JAVA_HOME)/jre/lib/i386/client/ -L$(JAVA_HOME)/jre/lib/amd64/server/

#
# Java compiler option
#
JCC = $(JAVA_HOME)/bin/javac
JFLAGS =

#
# GIWS options
#
GIWS = ../../giws
GFLAGS = -p

#
# GIWS PROJECT INFORMATIONS 
#
PACKAGE_NAME = example5
OBJECT_NAME  = MyObject
BINARY       = myExample5

GIWS_CPP_FILE  = main.cpp
GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml
GIWS_OUT_FILES = $(addprefix $(PACKAGE_NAME),.cpp .hxx)


# in case of --throws-exception-on-error, add 2 files to the list
# of the ones generated by GIWS.
ifneq (,$(findstring --throws-exception-on-error,$(GFLAGS)))
	GIWS_OUT_FILES += GiwsException.cpp GiwsException.hxx
endif


#########################################################################
#########################################################################
#########################################################################

# look for sources in current folder and in package name
VPATH = .:$(PACKAGE_NAME)


all: $(OBJECT_NAME).class $(BINARY)


# build java class file
$(OBJECT_NAME).class: $(OBJECT_NAME).java
	$(JCC) $(JFLAGS) $<


# build output binary
$(BINARY): $(GIWS_OUT_FILES)
	$(CC) $(GIWS_CPP_FILE) $(GIWS_OUT_FILES) $(CFLAGS) $(LIBS) $(INCLUDES) -o $(BINARY)
	@if test $(MAKELEVEL) -eq 0; then \
		echo "==========================================================================="; \
		echo "Dont forget to set library path before running the program:"; \
		echo "# export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(JAVA_HOME)/jre/lib/i386:$(JAVA_HOME)/jre/lib/i386/client/"; \
		echo "==========================================================================="; \
	fi


# run giws to generate cpp code
$(GIWS_OUT_FILES):
	$(GIWS) -f $(GIWS_DESC_FILE) $(GFLAGS)


# cleanup giws generated files (cpp/hxx, bin) and .class
clean:
	rm -f $(GIWS_OUT_FILES) $(PACKAGE_NAME)/$(OBJECT_NAME).class $(BINARY)

=== debian/changelog ===
giws (1.2.4-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Standards-Version updated to version 3.9.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 21 Jun 2011 15:52:11 +0200

giws (1.2.3-1) unstable; urgency=low

  * New upstream release
	
 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 11 Mar 2011 16:49:25 +0100

giws (1.2.2-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 11 Mar 2011 12:07:46 +0100

giws (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Watch file updated

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 08 Feb 2011 13:51:37 +0100

giws (1.2.0-1) unstable; urgency=low

  * New upstream version
  * Standards-Version updated to version 3.9.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 22 Sep 2010 15:53:58 +0200

giws (1.1.1-1) unstable; urgency=low

  * New upstream version

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 17 May 2010 14:32:55 +0200

giws (1.0.5-1) unstable; urgency=low

  * New upstream version

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 09 Nov 2009 11:09:16 +0100

giws (1.0.3-1) unstable; urgency=low

   * New upstream version
   * Change of my email address since I am now DD
   * Removal of Torsten on his request
   * Update of Standards-Version to 3.8.3
   * DM-Upload-Allowed removed

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 29 Aug 2009 20:20:59 +0200

giws (1.0.2-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Move python-libxml2 from Python-Depends to Depends field. 
  * Include /usr/share/python/python.mk to use $(py_setup_install_args) macro
    instead of adding --install-layout=deb option. (Closes: #525995)

  [ Sylvestre Ledru ]
  * Standards-Version updated to 3.8.1
  * ${misc:Depends} added to giws-doc & giws
  * Build-Depends to quilt removed	

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Tue, 09 Jun 2009 17:20:33 +0200

giws (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 27 Apr 2009 16:02:40 +0200

giws (1.0.1-2) unstable; urgency=low

  * Patch which was setting path to /usr/share/python-support/giws 
    removed (it is handled by python-support directly) (Closes: #516249)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Fri, 20 Feb 2009 18:30:35 +0100

giws (1.0.1-1) unstable; urgency=low

  * New upstream version

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 29 Oct 2008 13:24:58 +0100

giws (1.0-1) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Initial release (Closes: #498967)

  [ Torsten Werner ]
  * some lintian fixes

  [ Sylvestre Ledru ]
  * i

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 29 Oct 2008 13:24:55 +0100

## giws 1.3.0

=== examples/basic_example/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 CC = g++
 CFLAGS = -g
 INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
-LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/i386/client/
+LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/amd64 -L$(JAVA_HOME)/jre/lib/i386/client/ -L$(JAVA_HOME)/jre/lib/amd64/server/
 
 #
 # Java compiler option

=== examples/example1/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 CC = g++
 CFLAGS = -g
 INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
-LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/i386/client/
+LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/amd64 -L$(JAVA_HOME)/jre/lib/i386/client/ -L$(JAVA_HOME)/jre/lib/amd64/server/
 
 #
 # Java compiler option

=== examples/example3/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 # GIWS options
 #
 GIWS = ../../giws
-GFLAGS = -p --throws-exception-on-error
+GFLAGS = -p --throws-exception-on-error -g
 
 #
 # GIWS PROJECT INFORMATIONS

=== debian/changelog ===
giws (1.3.0-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 03 Oct 2011 14:45:23 +0200

=== debian/control ===
Source: giws
Section: devel
Priority: optional
Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 5), python, cdbs, python-libxml2,
 python-support
Homepage: http://www.scilab.org/giws/
Standards-Version: 3.9.2
Vcs-Svn: https://bollin.googlecode.com/svn/giws/trunk
Vcs-Browser: http://bollin.googlecode.com/svn/giws/trunk

Package: giws
Architecture: all
Depends: ${python:Depends}, python-libxml2, ${misc:Depends}
Suggests: giws-doc
Description: Generate C++ class wrappers to call Java methods/objects
 Giws is basically doing the same stuff as SWIG but the opposite.
 Calling Java from C/C++ can be tricky: JNI calls are complicated 
 especially when dealing with non primivite types or arrays, 
 performance issues must be kept in mind all the time, 
 the code can be redundant (checking exceptions, checking returns
 of operations...).
 Giws hides this complexity through a C++ class which wraps the
 Java class.

Package: giws-doc
Depends: ${misc:Depends}
Section: doc
Architecture: all
Description: Documentation and examples for the GIWS package
 Giws is basically doing the same stuff as SWIG but the opposite.
 Calling Java from C/C++ can be tricky: JNI calls are complicated 
 especially when dealing with non primivite types or arrays, 
 performance issues must be kept in mind all the time, 
 the code can be redundant (checking exceptions, checking returns
 of operations...).
 Giws hides this complexity through a C++ class which wraps the
 Java class.
 .
 This package contains the examples and the documentation.

## giws 2.0.0

=== debian/changelog ===
giws (2.0.0-1) unstable; urgency=low

  * New upstream release
  * Standards-Version updated to version 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 08 Mar 2012 17:39:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 5), python, cdbs, python-libxml2,
  python-support
 Homepage: http://www.scilab.org/giws/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: https://bollin.googlecode.com/svn/giws/trunk
 Vcs-Browser: http://bollin.googlecode.com/svn/giws/trunk

## giws 2.0.1

=== examples/basic_example/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 #
 PACKAGE_NAME = basic_example
 OBJECT_NAME  = MyComplexClass
-BINARY       = myExample
+BINARY       = main
 
 GIWS_CPP_FILE  = main.cpp
 GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml

=== examples/bug_disable_return/Makefile ===
SHELL = /bin/sh

# verify that JAVA_HOME is set to something (should be the bare minimum)
ifndef JAVA_HOME
    $(error ERROR: Variable JAVA_HOME is not set!)
endif


#
# C++ compiler options
# 
CC = g++
CFLAGS = -g
INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/amd64 -L$(JAVA_HOME)/jre/lib/i386/client/ -L$(JAVA_HOME)/jre/lib/amd64/server/

#
# Java compiler option
#
JCC = $(JAVA_HOME)/bin/javac
JFLAGS =

#
# GIWS options
#
GIWS = ../../giws
GFLAGS = -r

#
# GIWS PROJECT INFORMATIONS 
#
PACKAGE_NAME = Plop
OBJECT_NAME  = plop
BINARY       = main

GIWS_CPP_FILE  = main.cpp
GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml
GIWS_OUT_FILES = $(addprefix $(PACKAGE_NAME),.cpp .hxx)


# in case of --throws-exception-on-error, add 2 files to the list
# of the ones generated by GIWS.
ifneq (,$(findstring --throws-exception-on-error,$(GFLAGS)))
	GIWS_OUT_FILES += GiwsException.cpp GiwsException.hxx
endif


#########################################################################
#########################################################################
#########################################################################

# look for sources in current folder and in package name
VPATH = .:$(PACKAGE_NAME)


all: $(BINARY)


# build output binary
$(BINARY): $(GIWS_OUT_FILES)
	$(CC) $(GIWS_CPP_FILE) $(GIWS_OUT_FILES) $(CFLAGS) $(LIBS) $(INCLUDES) -o $(BINARY)
	@if test $(MAKELEVEL) -eq 0; then \
		echo "==========================================================================="; \
		echo "Dont forget to set library path before running the program:"; \
		echo "# export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(JAVA_HOME)/jre/lib/i386:$(JAVA_HOME)/jre/lib/i386/client/"; \
		echo "==========================================================================="; \
	fi


# run giws to generate cpp code
$(GIWS_OUT_FILES):
	$(GIWS) -f $(GIWS_DESC_FILE) $(GFLAGS)


# cleanup giws generated files (cpp/hxx, bin) and .class
clean:
	rm -f $(GIWS_OUT_FILES) $(PACKAGE_NAME)/$(OBJECT_NAME).class $(BINARY)

=== examples/bug_no_param_int_array/Makefile ===
SHELL = /bin/sh

# verify that JAVA_HOME is set to something (should be the bare minimum)
ifndef JAVA_HOME
    $(error ERROR: Variable JAVA_HOME is not set!)
endif


#
# C++ compiler options
# 
CC = g++
CFLAGS = -g
INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/amd64 -L$(JAVA_HOME)/jre/lib/i386/client/ -L$(JAVA_HOME)/jre/lib/amd64/server/

#
# Java compiler option
#
JCC = $(JAVA_HOME)/bin/javac
JFLAGS =

#
# GIWS options
#
GIWS = ../../giws
GFLAGS =

#
# GIWS PROJECT INFORMATIONS 
#
PACKAGE_NAME = Bar
OBJECT_NAME  = plop
BINARY       = main

GIWS_CPP_FILE  = main.cpp
GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml
GIWS_OUT_FILES = $(addprefix $(PACKAGE_NAME),.cpp .hxx)


# in case of --throws-exception-on-error, add 2 files to the list
# of the ones generated by GIWS.
ifneq (,$(findstring --throws-exception-on-error,$(GFLAGS)))
	GIWS_OUT_FILES += GiwsException.cpp GiwsException.hxx
endif


#########################################################################
#########################################################################
#########################################################################

# look for sources in current folder and in package name
VPATH = .:$(PACKAGE_NAME)


all: $(BINARY)


# build output binary
$(BINARY): $(GIWS_OUT_FILES)
	$(CC) $(GIWS_CPP_FILE) $(GIWS_OUT_FILES) $(CFLAGS) $(LIBS) $(INCLUDES) -o $(BINARY)
	@if test $(MAKELEVEL) -eq 0; then \
		echo "==========================================================================="; \
		echo "Dont forget to set library path before running the program:"; \
		echo "# export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(JAVA_HOME)/jre/lib/i386:$(JAVA_HOME)/jre/lib/i386/client/"; \
		echo "==========================================================================="; \
	fi


# run giws to generate cpp code
$(GIWS_OUT_FILES):
	$(GIWS) -f $(GIWS_DESC_FILE) $(GFLAGS)


# cleanup giws generated files (cpp/hxx, bin) and .class
clean:
	rm -f $(GIWS_OUT_FILES) $(PACKAGE_NAME)/$(OBJECT_NAME).class $(BINARY)

=== examples/bytebuffer/Makefile ===
SHELL = /bin/sh

# verify that JAVA_HOME is set to something (should be the bare minimum)
ifndef JAVA_HOME
    $(error ERROR: Variable JAVA_HOME is not set!)
endif


#
# C++ compiler options
# 
CC = g++
CFLAGS = -g
INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/amd64 -L$(JAVA_HOME)/jre/lib/i386/client/ -L$(JAVA_HOME)/jre/lib/amd64/server/

#
# Java compiler option
#
JCC = $(JAVA_HOME)/bin/javac
JFLAGS =

#
# GIWS options
#
GIWS = ../../giws
GFLAGS = -p --throws-exception-on-error -g

#
# GIWS PROJECT INFORMATIONS 
#
PACKAGE_NAME = bytebuffer
OBJECT_NAME  = ByteBufferSync
BINARY       = main

GIWS_CPP_FILE  = main.cpp
GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml
GIWS_OUT_FILES = $(addprefix $(PACKAGE_NAME),.cpp .hxx)


# in case of --throws-exception-on-error, add 2 files to the list
# of the ones generated by GIWS.
ifneq (,$(findstring --throws-exception-on-error,$(GFLAGS)))
	GIWS_OUT_FILES += GiwsException.cpp GiwsException.hxx
endif


#########################################################################
#########################################################################
#########################################################################

# look for sources in current folder and in package name
VPATH = .:$(PACKAGE_NAME)


all: $(OBJECT_NAME).class $(BINARY)


# build java class file
$(OBJECT_NAME).class: $(OBJECT_NAME).java
	$(JCC) $(JFLAGS) $<


# build output binary
$(BINARY): $(GIWS_OUT_FILES) $(GIWS_CPP_FILE)
	$(CC) $(GIWS_CPP_FILE) $(GIWS_OUT_FILES) $(CFLAGS) $(LIBS) $(INCLUDES) -o $(BINARY)
	@if test $(MAKELEVEL) -eq 0; then \
		echo "==========================================================================="; \
		echo "Dont forget to set library path before running the program:"; \
		echo "# export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(JAVA_HOME)/jre/lib/i386:$(JAVA_HOME)/jre/lib/i386/client/"; \
		echo "==========================================================================="; \
	fi


# run giws to generate cpp code
$(GIWS_OUT_FILES):
	$(GIWS) -f $(GIWS_DESC_FILE) $(GFLAGS)


# cleanup giws generated files (cpp/hxx, bin) and .class
clean:
	rm -f $(GIWS_OUT_FILES) $(PACKAGE_NAME)/$(OBJECT_NAME).class $(BINARY)

=== examples/example1/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 #
 PACKAGE_NAME = example
 OBJECT_NAME  = MyObject
-BINARY       = myExample
+BINARY       = main
 
 GIWS_CPP_FILE  = main.cpp
 GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml

=== examples/example2/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 #
 PACKAGE_NAME = example2
 OBJECT_NAME  = MyObjectWithArray
-BINARY       = myExample2
+BINARY       = main
 
 GIWS_CPP_FILE  = main.cpp
 GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml

=== examples/example3/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 #
 PACKAGE_NAME = example3
 OBJECT_NAME  = MyObjectWhichReturnsExceptions
-BINARY       = myExample3
+BINARY       = main
 
 GIWS_CPP_FILE  = main.cpp
 GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml

=== examples/example4/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 #
 PACKAGE_NAME = example4
 OBJECT_NAME  = MyObjectWithArray
-BINARY       = myExample4
+BINARY       = main
 
 GIWS_CPP_FILE  = main.cpp
 GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml

=== examples/example5/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 #
 PACKAGE_NAME = example5
 OBJECT_NAME  = MyObject
-BINARY       = myExample5
+BINARY       = main
 
 GIWS_CPP_FILE  = main.cpp
 GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml

=== examples/inherit/Makefile ===
--- 
+++ 
@@ -12,7 +12,8 @@
 CC = g++
 CFLAGS = -g
 INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
-LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/i386/client/
+LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/i386 -L$(JAVA_HOME)/jre/lib/amd64 -L$(JAVA_HOME)/jre/lib/i386/client/ -L$(JAVA_HOME)/jre/lib/amd64/server/
+
 
 #
 # Java compiler option

=== debian/changelog ===
giws (2.0.1-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 17 Sep 2012 17:55:03 +0200

## giws 2.0.2

=== Makefile ===
SHELL = /bin/sh

# help message by default
all:
	@echo "make: available targets: examples clean deepclean"
	@echo "      - examples: build examples/ folder"
	@echo "      - clean: clean the examples folder and remove .pyc files"


# build examples/
.PHONY: examples
examples:
	$(MAKE) -C examples build


# clean examples/ folder
clean: cleanpyc cleanexamples


# clean examples folder
cleanexamples:
	$(MAKE) -C examples clean


# clean .pyc
cleanpyc:
	@echo "Cleaning *.pyc files..."
	@find . -type f -name "*.pyc" | xargs rm -f

=== examples/Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 SHELL = /bin/sh
 
 # list of buildable examples
-EX = basic_example example1 example2 example3 example4 example5 inherit
+EX = basic_example example1 example2 example3 example4 example5 inherit bytebuffer \
+bug_no_param_int_array bug_disable_return
 
 
 # verify that JAVA_HOME is set to something (should be the bare minimum)

=== examples/basic_example/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 GFLAGS = -p
 
 #
-# GIWS PROJECT INFORMATIONS 
+# GIWS PROJECT INFORMATION 
 #
 PACKAGE_NAME = basic_example
 OBJECT_NAME  = MyComplexClass

=== examples/bug_disable_return/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 GFLAGS = -r
 
 #
-# GIWS PROJECT INFORMATIONS 
+# GIWS PROJECT INFORMATION 
 #
 PACKAGE_NAME = Plop
 OBJECT_NAME  = plop

=== examples/bug_no_param_int_array/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 GFLAGS =
 
 #
-# GIWS PROJECT INFORMATIONS 
+# GIWS PROJECT INFORMATION 
 #
 PACKAGE_NAME = Bar
 OBJECT_NAME  = plop

=== examples/bytebuffer/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 GFLAGS = -p --throws-exception-on-error -g
 
 #
-# GIWS PROJECT INFORMATIONS 
+# GIWS PROJECT INFORMATION 
 #
 PACKAGE_NAME = bytebuffer
 OBJECT_NAME  = ByteBufferSync

=== examples/example1/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 GFLAGS = -p
 
 #
-# GIWS PROJECT INFORMATIONS 
+# GIWS PROJECT INFORMATION 
 #
 PACKAGE_NAME = example
 OBJECT_NAME  = MyObject

=== examples/example2/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 GFLAGS = -p --disable-return-size-array
 
 #
-# GIWS PROJECT INFORMATIONS 
+# GIWS PROJECT INFORMATION 
 #
 PACKAGE_NAME = example2
 OBJECT_NAME  = MyObjectWithArray

=== examples/example3/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 GFLAGS = -p --throws-exception-on-error -g
 
 #
-# GIWS PROJECT INFORMATIONS 
+# GIWS PROJECT INFORMATION 
 #
 PACKAGE_NAME = example3
 OBJECT_NAME  = MyObjectWhichReturnsExceptions

=== examples/example4/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 GFLAGS = -p
 
 #
-# GIWS PROJECT INFORMATIONS 
+# GIWS PROJECT INFORMATION 
 #
 PACKAGE_NAME = example4
 OBJECT_NAME  = MyObjectWithArray

=== examples/example5/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 GFLAGS = -p
 
 #
-# GIWS PROJECT INFORMATIONS 
+# GIWS PROJECT INFORMATION 
 #
 PACKAGE_NAME = example5
 OBJECT_NAME  = MyObject

=== examples/inherit/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 GFLAGS = -p
 
 #
-# GIWS PROJECT INFORMATIONS 
+# GIWS PROJECT INFORMATION 
 #
 PACKAGE_NAME = inherit
 OBJECT_NAME  = inherit

=== debian/changelog ===
giws (2.0.2-1) unstable; urgency=low

  * New upstream release
  * Standards-Version updated to 3.9.5 

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 21 Nov 2013 15:02:43 +0100

giws (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 21 Nov 2013 15:02:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 5), python, cdbs, python-libxml2,
  python-support
 Homepage: http://www.scilab.org/giws/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Vcs-Svn: https://bollin.googlecode.com/svn/giws/trunk
 Vcs-Browser: http://bollin.googlecode.com/svn/giws/trunk

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008 - Sylvestre Ledru <sylvestre.ledru@inria.fr>

include /usr/share/python/python.mk

DEB_PYTHON_SYSTEM := pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_COMPILE_VERSION  := $(shell pyversions -r)
DEB_DH_INSTALL_SOURCEDIR    := debian/tmp
DEB_PYTHON_INSTALL_ARGS_ALL += --no-compile --root=$(CURDIR)/debian/giws/ $(py_setup_install_args)
DEB_INSTALL_CHANGELOGS_ALL  += CHANGELOG

get-orig-source:
	uscan --upstream-version 0 --rename

=== debian/watch ===
version=3
http://forge.scilab.org/index.php/p/giws/downloads/direct/ \
  .*/giws-(.*).tar.gz
